> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get algorithms

## Overview

Allows the client to retrieve a list of available cryptographic algorithms on the server. These algorithms can be used to create keys. These keys are necessary in order to apply for legal identities, which are then used to sign smart contracts.

## HTTP request

`POST /Agent/Crypto/GetAlgorithms`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
}
```

## Response (JSON)

```json theme={null}
{
	"Algorithms": 
	{
		"localName":Required(Str(PLocalName)),
		"namespace":Required(Str(PNamespace)),
		"securityStrength":Required(Int(PSecurityStrength)),
		"safe":Required(Boolean(PSafe)),
		"slow":Required(Boolean(PSlow)),
		"pqc":Required(Boolean(PPqc)),
		"score":Required(Int(PScore))
	}?[]
}
```

## Response parameters

| Parameter         | Description                                                                                                    |
| ----------------- | -------------------------------------------------------------------------------------------------------------- |
| PLocalName        | Local Name of the algorithm.                                                                                   |
| PNamespace        | Namespace, defining the algorithm.                                                                             |
| PSecurityStrength | Security strength of algorithm (in bits).                                                                      |
| PSafe             | If the algorithm is considered safe according to [https://safecurves.cr.yp.to/](https://safecurves.cr.yp.to/). |
| PSlow             | If the algorithm is slow (i.e. computation intensive).                                                         |
| PPqc              | If the algorithm represents Post Quantum Cryptography (PQC).                                                   |
| PScore            | Algorithm score. Can be used, together with PSecurityStrength to order algorithms.                             |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
